| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Util.Dmenu

Portability | unportable
Stability | unstable
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>

Contents

Usage

Description
A convenient binding to dmenu. Requires the process-1.0 package
Synopsis

dmenu :: [String] -> X String
dmenuXinerama :: [String] -> X String
dmenuMap :: Map String a -> X (Maybe a)
menu :: String -> [String] -> X String
menuMap :: String -> Map String a -> X (Maybe a)

Usage

You can use this module with the following in your Config.hs file:

     import XMonad.Util.Dmenu

dmenu :: [String] -> X String | Source

dmenuXinerama :: [String] -> X String | Source

Starts dmenu on the current screen. Requires this patch to dmenu: http://www.jcreigh.com/dmenu/dmenu-3.2-xinerama.patch

dmenuMap :: Map String a -> X (Maybe a) | Source

menu :: String -> [String] -> X String | Source

menuMap :: String -> Map String a -> X (Maybe a) | Source

Produced by Haddock version 2.4.2